# Created by pyp2rpm-3.3.4
%global pypi_name click-didyoumean

Name:           python-%{pypi_name}
Version:        0.0.3
Release:        1%{?dist}
Summary:        Enable git-like did-you-mean feature in click

License:        MIT
URL:            https://github.com/timofurrer/click-didyoumean
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
click-didyoumean
================
|pypi| |build| |license|

Enable git-like *did-you-mean* feature in click.

It's as simple as this:

.. code:: python

    import click
    from click_didyoumean import DYMGroup

    @click.group(cls=DYMGroup)
    def cli():
        ...

|demo|

Usage
-----

Install this extension with pip:

.. code::

    pip install click-didyoumean


Use specific...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)
%description -n python3-%{pypi_name}
click-didyoumean
================
|pypi| |build| |license|

Enable git-like *did-you-mean* feature in click.

It's as simple as this:

.. code:: python

    import click
    from click_didyoumean import DYMGroup

    @click.group(cls=DYMGroup)
    def cli():
        ...

|demo|

Usage
-----

Install this extension with pip:

.. code::

    pip install click-didyoumean


Use specific...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/click_didyoumean
%{python3_sitelib}/click_didyoumean-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 29 2020 František Zatloukal <fzatlouk@redhat.com> - 0.0.3-1
- Initial package.
